package com.autentia.adictos.hs.dao;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.cfg.Configuration;

final class HibernateIgniter {

	private static SessionFactory sessionFactory;

	private HibernateIgniter() {
	}

	static void init() {
		try {

			final Configuration cfg = new AnnotationConfiguration();
			sessionFactory = cfg.configure().buildSessionFactory();
			System.out.println("Inicializado...");
		} catch (RuntimeException e) {
			System.out.println("Error inicializando hibernate");
			throw e;
		}
	}

	static SessionFactory getSessionFactory() {
		return sessionFactory;
	}

	static void close() {
		sessionFactory.close();
	}
}
